/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import BaseDevice from './BaseDevice';
import type { DeviceOS, DeviceType } from 'flipper-plugin-core';
export default class ArchivedDevice extends BaseDevice {
    isArchived: boolean;
    constructor(options: {
        serial: string;
        deviceType: DeviceType;
        title: string;
        os: DeviceOS;
        screenshotHandle?: string | null;
        source?: string;
        supportRequestDetails?: object;
    });
    archivedScreenshotHandle: string | null;
    displayTitle(): string;
    supportRequestDetails?: object;
    getArchivedScreenshotHandle(): string | null;
    /**
     * @override
     */
    startLogging(): Promise<void>;
    /**
     * @override
     */
    stopLogging(): Promise<void>;
}
//# sourceMappingURL=ArchivedDevice.d.ts.map