/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import { InstalledPluginDetails } from 'flipper-common';
import { ActivatablePluginDetails, ConcretePluginDetails } from 'flipper-common';
import { _SandyPluginDefinition } from 'flipper-plugin-core';
export declare abstract class AbstractPluginInitializer {
    protected gatekeepedPlugins: Array<ActivatablePluginDetails>;
    protected disabledPlugins: Array<ActivatablePluginDetails>;
    protected failedPlugins: Array<[ActivatablePluginDetails, string]>;
    protected loadedPlugins: Array<InstalledPluginDetails>;
    protected _initialPlugins: _SandyPluginDefinition[];
    init(): Promise<void>;
    get initialPlugins(): ReadonlyArray<_SandyPluginDefinition>;
    get requirePlugin(): (failedPlugins: [InstalledPluginDetails, string][]) => (pluginDetails: InstalledPluginDetails) => Promise<_SandyPluginDefinition | null>;
    protected _init(): Promise<_SandyPluginDefinition[]>;
    protected abstract getFlipperVersion(): Promise<string>;
    protected abstract requirePluginImpl(pluginDetails: ActivatablePluginDetails): Promise<_SandyPluginDefinition>;
    protected loadMarketplacePlugins(): void;
    protected loadUninstalledPluginNames(): Set<string>;
    protected loadAllLocalVersions(uninstalledPluginNames: Set<string>): Promise<InstalledPluginDetails[]>;
    protected filterAllLocalVersions(allLocalVersions: InstalledPluginDetails[]): Promise<ActivatablePluginDetails[]>;
    protected loadPlugins(pluginsToLoad: ActivatablePluginDetails[]): Promise<_SandyPluginDefinition[]>;
}
export declare function isDevicePluginDefinition(definition: _SandyPluginDefinition): boolean;
export declare function reportVersion(pluginDetails: ActivatablePluginDetails): InstalledPluginDetails;
export declare function getLatestCompatibleVersionOfEachPlugin<T extends ConcretePluginDetails>(plugins: T[], flipperVersion: string): T[];
export declare function getDynamicPlugins(): Promise<InstalledPluginDetails[]>;
export declare const checkGK: (gatekeepedPlugins: Array<ActivatablePluginDetails>) => (plugin: ActivatablePluginDetails) => boolean;
export declare const checkDisabled: (disabledPlugins: Array<ActivatablePluginDetails>) => (plugin: ActivatablePluginDetails) => boolean;
export declare const createRequirePluginFunction: (requirePluginImpl: (pluginDetails: ActivatablePluginDetails) => Promise<_SandyPluginDefinition>) => (failedPlugins: Array<[ActivatablePluginDetails, string]>) => (pluginDetails: ActivatablePluginDetails) => Promise<_SandyPluginDefinition | null>;
export declare const wrapRequirePlugin: (requirePluginImpl: (pluginDetails: ActivatablePluginDetails) => Promise<_SandyPluginDefinition>) => (pluginDetails: ActivatablePluginDetails) => Promise<_SandyPluginDefinition>;
export declare const isSandyPlugin: (pluginDetails: ActivatablePluginDetails) => boolean;
//# sourceMappingURL=plugins.d.ts.map