"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPluginCompatible = void 0;
const semver_1 = __importDefault(require("semver"));
const RenderHost_1 = require("../RenderHost");
function isPluginCompatible(plugin, flipperVersion) {
    var _a, _b;
    return ((0, RenderHost_1.getRenderHostInstance)().GK('flipper_disable_plugin_compatibility_checks') ||
        flipperVersion === '0.0.0' ||
        !((_a = plugin.engines) === null || _a === void 0 ? void 0 : _a.flipper) ||
        semver_1.default.lte((_b = plugin.engines) === null || _b === void 0 ? void 0 : _b.flipper, flipperVersion));
}
exports.isPluginCompatible = isPluginCompatible;
exports.default = isPluginCompatible;
//# sourceMappingURL=isPluginCompatible.js.map