"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.pluginKey = exports.getPluginKey = void 0;
function getPluginKey(selectedAppId, baseDevice, pluginID) {
    if (selectedAppId) {
        return `${selectedAppId}#${pluginID}`;
    }
    if (baseDevice) {
        // If selected App is not defined, then the plugin is a device plugin
        return `${baseDevice.serial}#${pluginID}`;
    }
    return `unknown#${pluginID}`;
}
exports.getPluginKey = getPluginKey;
const pluginKey = (serial, pluginName) => {
    return `${serial}#${pluginName}`;
};
exports.pluginKey = pluginKey;
//# sourceMappingURL=pluginKey.js.map